### Class

# Msg MailMessage

#### Description [src]

    final class Msg.MailMessage : GObject.Object
    {
      /* No available fields */
    }

Handling of mail message specific functions.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### msg_mail_message_new

Creates a new `MsgMailMessage`.

###### msg_mail_message_new_from_json

Creates a new `MsgMailMessage` from json response object.

#### Instance methods

###### msg_mail_message_get_body

Get mail body.

###### msg_mail_message_get_body_preview

Get mail body preview.

###### msg_mail_message_get_cc

Get mail cc.

###### msg_mail_message_get_has_attachment

Get whether mail has attachments.

###### msg_mail_message_get_id

Get id.

###### msg_mail_message_get_received_date

Get mail received date.

###### msg_mail_message_get_receiver

Get mail receiver.

###### msg_mail_message_get_sender

Get mail sender.

###### msg_mail_message_get_subject

Get mail subject.

###### msg_mail_message_get_unread

Get mail unread.

###### msg_mail_message_set_body

Set mail body.

###### msg_mail_message_set_body_preview

No description available.

###### msg_mail_message_set_cc

Set mail cc.

###### msg_mail_message_set_has_attachment

Set whether mail has attachments.

###### msg_mail_message_set_id

Set mail id.

###### msg_mail_message_set_received_date

Set mail received timestamp.

###### msg_mail_message_set_receiver

Set mail receiver.

###### msg_mail_message_set_sender

Set mail sender.

###### msg_mail_message_set_subject

Set mail subject.

###### msg_mail_message_set_unread

Set mail unread count.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgMailMessageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.